jm.midi.event

## Class TimeSig

- java.lang.Object
- - jm.midi.event.TimeSig

- All Implemented Interfaces:
    Event

      public final class TimeSig
      extends java.lang.Object
      implements Event

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSig()` Default Constructor
    `TimeSig(int numerator, int denominator)`
    `TimeSig(int time, int numerator, int denominator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `copy()` Makes a copy of an event
    `int` | `getDenominator()`
    `short` | `getID()` Retrieve an events id
    `int` | `getMetronomePulse()` By Sean Hayes
    `int` | `getNumerator()`
    `int` | `getThirtySecondNotesPerBeat()`
    `int` | `getTime()` Retrieve an events time
    `void` | `print()` Print this events data in a System.out.println format
    `int` | `read(java.io.DataInputStream dis)` Read the contends of this objec in from disk Implemented by Sean T.
    `void` | `setDenominator(int denom)`
    `void` | `setMetronomePulse(int metronomePulse)` Specifies how often the metronome should click in terms of the number of clock signals per click, which come at a rate of 24 per quarter-note.
    `void` | `setNumerator(int numer)`
    `void` | `setThirtySecondNotesPerBeat(int thirtySecondNotesPerBeat)`
    `void` | `setTime(int time)` Set an events time
    `int` | `write(java.io.DataOutputStream dos)` write out event data to disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final short ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimeSig

          public TimeSig()

      Default Constructor

    - #### TimeSig

          public TimeSig(int numerator,
                 int denominator)

    - #### TimeSig

          public TimeSig(int time,
                 int numerator,
                 int denominator)

  - ### Method Detail

    - #### getDenominator

          public int getDenominator()

    - #### setDenominator

          public void setDenominator(int denom)

    - #### getNumerator

          public int getNumerator()

    - #### setNumerator

          public void setNumerator(int numer)

    - #### getMetronomePulse

          public int getMetronomePulse()

      By Sean Hayes
      Returns:
        metronome pulse
      See Also:
        `sp.midi.event.TimeSig`

    - #### setMetronomePulse

          public void setMetronomePulse(int metronomePulse)

      Specifies how often the metronome should click in terms of the number of clock signals per click, which come at a rate of 24 per quarter-note. For example, a value of 24 would mean to click once every quarter-note (beat) and a value of 48 would mean to click once every half-note (2 beats)
      by Sean Hayes
      Parameters:
        `metronomePulse` -

    - #### getThirtySecondNotesPerBeat

          public int getThirtySecondNotesPerBeat()

    - #### setThirtySecondNotesPerBeat

          public void setThirtySecondNotesPerBeat(int thirtySecondNotesPerBeat)

    - #### getTime

          public int getTime()

      Description copied from interface: `Event`
      Retrieve an events time
      Specified by:
        `getTime` in interface `Event`

    - #### setTime

          public void setTime(int time)

      Description copied from interface: `Event`
      Set an events time
      Specified by:
        `setTime` in interface `Event`

    - #### getID

          public short getID()

      Description copied from interface: `Event`
      Retrieve an events id
      Specified by:
        `getID` in interface `Event`

    - #### write

          public int write(java.io.DataOutputStream dos)
                    throws java.io.IOException

      Description copied from interface: `Event`
      write out event data to disk
      Specified by:
        `write` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(java.io.DataInputStream dis)
                   throws java.io.IOException

      Read the contends of this objec in from disk Implemented by Sean T. Hayes
      Specified by:
        `read` in interface `Event`
      Parameters:
        `dis` - a stream of MIDI data
      Returns:
        the number of bytes read
      Throws:
        `java.io.IOException`

    - #### copy

          public Event copy()
                     throws java.lang.CloneNotSupportedException

      Description copied from interface: `Event`
      Makes a copy of an event
      Specified by:
        `copy` in interface `Event`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### print

          public void print()

      Description copied from interface: `Event`
      Print this events data in a System.out.println format
      Specified by:
        `print` in interface `Event`